PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PSocket::SelectList Class Reference

List of sockets used for Select() function. More...

`#include <socket.h>`

Inherits PSocketList.

## Public Member Functions
| SelectList ()
void | operator+= (PSocket &sock)
| Add a socket to list . More...
void | operator-= (PSocket &sock)
| Remove a socket from list . More...

## Detailed Description

List of sockets used for Select() function.

## Constructor & Destructor Documentation

PSocket::SelectList::SelectList | ( |  | ) |
| inline

## Member Function Documentation

void PSocket::SelectList::operator+= | ( | PSocket & | sock | ) |
| inline

Add a socket to list .

Parameters

  sock | Socket to add.

void PSocket::SelectList::operator-= | ( | PSocket & | sock | ) |
| inline

Remove a socket from list .

Parameters

  sock | Socket to remove.

The documentation for this class was generated from the following file:

- socket.h